## switcherooctl switcherooctl — Launch a command on a specific GPU |

## Synopsis

`switcherooctl` help [`COMMAND`]

`switcherooctl` version

`switcherooctl` list

`switcherooctl` launch [`OPTION`] `COMMAND`...

## Description

switcherooctl is a utility to launch a specific command on a specific GPU.

## Commands

help [`COMMAND`] | Displays a short synopsis of the available commands or provides detailed help on a specific command.
version | Prints the switcheroo-control version to which switcherooctl belongs.
list | List the known GPUs. The device number can be used to specify the GPU to launch on for the `launch` command. This is the default command if no commands are passed to `switcherooctl`.
launch [`OPTION`] `COMMAND`... | Launch `COMMAND` on a specific GPU. If no GPU are specified the first discrete (non-default) GPU is used, or the default GPU if there's no discrete GPU. #### Options
`-g` `--gpu=`GPU`` | The GPU to launch on. The GPU identifier can be gathered using the `list` command.

## Exit status

On success 0 is returned, a non-zero failure code otherwise.